## tint2 0.12.7

=== CMakeLists.txt ===
project( tint2 )
cmake_minimum_required( VERSION 2.6 )

option( ENABLE_BATTERY "Enable battery status plugin" ON )
option( ENABLE_TINT2CONF "Enable tint2conf build, a GTK+2 theme configurator for tint2" ON )
option( ENABLE_EXAMPLES "Install additional tin2rc examples" ON )
option( ENABLE_RSVG "Rsvg support (launcher only)" ON )
option( ENABLE_SN "Startup notification support" ON )
option( ENABLE_ASAN "Build tint2 with AddressSanitizer" OFF )
option( ENABLE_BACKTRACE "Dump a backtrace in case of fatal errors (e.g. X11 I/O error)" OFF )
option( ENABLE_BACKTRACE_ON_SIGNAL "Dump a backtrace also when receiving signals such as SIGSEGV" OFF )
if( CMAKE_SYSTEM_NAME STREQUAL "Linux" )
  option( ENABLE_UEVENT "Kernel event handling support" ON )
endif( CMAKE_SYSTEM_NAME STREQUAL "Linux" )

include( FindPkgConfig )
include( CheckLibraryExists )
include( CheckCSourceCompiles )
pkg_check_modules( X11 REQUIRED x11 xcomposite xdamage xinerama xrender xrandr>=1.3 )
pkg_check_modules( PANGOCAIRO REQUIRED pangocairo )
pkg_check_modules( PANGO REQUIRED pango )
pkg_check_modules( CAIRO REQUIRED cairo )
pkg_check_modules( GLIB2 REQUIRED glib-2.0 )
pkg_check_modules( GOBJECT2 REQUIRED gobject-2.0 )
pkg_check_modules( IMLIB2 REQUIRED imlib2>=1.4.2 )

if(ENABLE_BACKTRACE)
	check_c_source_compiles(
		"#include <stdlib.h>\n#include <execinfo.h>\nint main () { backtrace(NULL, 0); }"
		BACKTRACE_LIBC)

	if(BACKTRACE_LIBC)
		set(BACKTRACE_LIBC_FOUND TRUE)
		set(BACKTRACE_L_FLAGS "-rdynamic")
	else()
		pkg_check_modules( UNWIND libunwind )
		find_library(EXECINFO_LIBRARIES NAMES execinfo)
		if(EXECINFO_LIBRARIES OR EXECINFO_LIBRARIES_FOUND)
			set(EXECINFO_FOUND TRUE)
			set(EXECINFO_LIBRARIES "-lexecinfo")
			set(BACKTRACE_L_FLAGS "-rdynamic")
		else()
			set(EXECINFO_LIBRARIES "")
			set(BACKTRACE_L_FLAGS "")
		endif()
	endif()

	if( NOT BACKTRACE_LIBC_FOUND AND NOT UNWIND_FOUND AND NOT EXECINFO_FOUND )
	  message( WARNING "Backtrace support not available. You can enable it by installing libexecinfo or libunwind." )
	endif()
else()
	set(EXECINFO_LIBRARIES "")
	set(BACKTRACE_L_FLAGS "")
endif()

if( ENABLE_RSVG )
pkg_check_modules( RSVG librsvg-2.0>=2.14.0 )
endif( ENABLE_RSVG )

if( ENABLE_SN )
pkg_check_modules( SN libstartup-notification-1.0>=0.12 )
endif(ENABLE_SN)

find_library( RT_LIBRARY rt )

if( NOT X11_FOUND OR NOT PANGOCAIRO_FOUND OR NOT PANGO_FOUND OR NOT CAIRO_FOUND OR NOT GLIB2_FOUND OR NOT GOBJECT2_FOUND OR NOT IMLIB2_FOUND )
  message( FATAL_ERROR "Not all dependencies fulfilled. See https://gitlab.com/o9000/tint2/wikis/Install" )
endif( NOT X11_FOUND OR NOT PANGOCAIRO_FOUND OR NOT PANGO_FOUND OR NOT CAIRO_FOUND OR NOT GLIB2_FOUND OR NOT GOBJECT2_FOUND OR NOT IMLIB2_FOUND )

string( REPLACE ";" " " FLAGS_REPLACED "${IMLIB2_LDFLAGS}" )
set( CMAKE_REQUIRED_FLAGS "${FLAGS_REPLACED}" )
check_library_exists( "${IMLIB2_LIBRARIES}" "imlib_context_set_display" "${IMLIB2_LIBRARY_DIRS}" IMLIB_BUILD_WITH_X )
if( NOT IMLIB_BUILD_WITH_X )
  message( FATAL_ERROR "Imlib is not built with X support" )
endif( NOT IMLIB_BUILD_WITH_X )

add_definitions( -D_GNU_SOURCE )

include_directories( ${PROJECT_BINARY_DIR}
                     src
                     src/battery
                     src/clock
                     src/systray
                     src/taskbar
                     src/launcher
                     src/tooltip
                     src/util
					 src/execplugin
                     src/freespace
                     ${X11_INCLUDE_DIRS}
                     ${PANGOCAIRO_INCLUDE_DIRS}
                     ${PANGO_INCLUDE_DIRS}
                     ${CAIRO_INCLUDE_DIRS}
                     ${GLIB2_INCLUDE_DIRS}
                     ${GOBJECT2_INCLUDE_DIRS}
                     ${IMLIB2_INCLUDE_DIRS}
                     ${RSVG_INCLUDE_DIRS}
                     ${SN_INCLUDE_DIRS} )

set( SOURCES src/config.c
             src/panel.c
             src/server.c
             src/tint.c
             src/clock/clock.c
             src/systray/systraybar.c
             src/launcher/launcher.c
             src/launcher/apps-common.c
             src/launcher/icon-theme-common.c
             src/launcher/xsettings-client.c
             src/launcher/xsettings-common.c
             src/taskbar/task.c
             src/taskbar/taskbar.c
             src/taskbar/taskbarname.c
             src/tooltip/tooltip.c
			 src/execplugin/execplugin.c
             src/freespace/freespace.c
             src/util/area.c
             src/util/common.c
             src/util/strnatcmp.c
             src/util/timer.c
             src/util/window.c )

if( ENABLE_BATTERY )
  set( SOURCES ${SOURCES} src/battery/battery.c)

  if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
    set( SOURCES ${SOURCES} src/battery/linux.c)
  elseif(CMAKE_SYSTEM_NAME STREQUAL "DragonFly")
    set( SOURCES ${SOURCES} src/battery/freebsd.c)
  elseif(CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
    set( SOURCES ${SOURCES} src/battery/freebsd.c)
  elseif(CMAKE_SYSTEM_NAME STREQUAL "OpenBSD")
    set( SOURCES ${SOURCES} src/battery/openbsd.c)
  elseif(CMAKE_SYSTEM_NAME STREQUAL "NetBSD")
    set( SOURCES ${SOURCES} src/battery/openbsd.c)
  else(CMAKE_SYSTEM_NAME STREQUAL "Linux")
    set( SOURCES ${SOURCES} src/battery/dummy.c)
  endif(CMAKE_SYSTEM_NAME STREQUAL "Linux")

  add_definitions( -DENABLE_BATTERY )
endif( ENABLE_BATTERY )

if( ENABLE_RSVG )
  if( RSVG_FOUND )
	add_definitions( -DHAVE_RSVG )
  else()
    message( FATAL_ERROR "SVG support enabled yet dependency not fulfilled: librsvg-2.0" )
  endif( RSVG_FOUND )
endif( ENABLE_RSVG )

if( ENABLE_SN )
  if( SN_FOUND )
    add_definitions( -DHAVE_SN -DSN_API_NOT_YET_FROZEN )
  else()
    message( FATAL_ERROR "Startup notification support enabled yet dependency not fulfilled: libstartup-notification-1.0" )
  endif( SN_FOUND )
endif( ENABLE_SN)

if( ENABLE_UEVENT )
  add_definitions( -DENABLE_UEVENT )
  set( SOURCES ${SOURCES} src/util/uevent.c)
endif( ENABLE_UEVENT )

if(ENABLE_BACKTRACE)
	if(BACKTRACE_LIBC_FOUND)
	  add_definitions( -DENABLE_EXECINFO )
	endif()

	if( UNWIND_FOUND )
	  add_definitions( -DENABLE_LIBUNWIND )
	endif( UNWIND_FOUND )

	if( EXECINFO_FOUND )
	  add_definitions( -DENABLE_EXECINFO )
	endif( EXECINFO_FOUND )

	if(ENABLE_BACKTRACE_ON_SIGNAL)
		add_definitions( -DBACKTRACE_ON_SIGNAL )
	endif()
else()
	add_definitions( -DDISABLE_BACKTRACE )
endif()

if( ENABLE_TINT2CONF )
  add_definitions( -DHAVE_VERSION_H )
  add_subdirectory( src/tint2conf )
  add_dependencies( tint2conf version )
endif( ENABLE_TINT2CONF )

if( ENABLE_ASAN )
  SET(ASAN_C_FLAGS " -O0 -g3 -gdwarf-2 -fsanitize=address -fno-common -fno-omit-frame-pointer -rdynamic -Wshadow")
  SET(ASAN_L_FLAGS " -O0 -g3 -gdwarf-2 -fsanitize=address -fno-common -fno-omit-frame-pointer -rdynamic ")
else()
  SET(ASAN_C_FLAGS "")
  SET(ASAN_L_FLAGS "")
endif()

set( MANDIR share/man CACHE PATH "Directory for man pages" )
set( DATADIR share CACHE PATH "Directory for shared data" )
set( SYSCONFDIR /etc CACHE PATH "Directory for configuration files" )
set( DOCDIR share/doc/tint2 CACHE PATH "Directory for documentation files" )

add_custom_target( version ALL "${PROJECT_SOURCE_DIR}/get_version.sh" "\"${PROJECT_SOURCE_DIR}\"" )

link_directories( ${X11_LIBRARY_DIRS}
                  ${PANGOCAIRO_LIBRARY_DIRS}
                  ${PANGO_LIBRARY_DIRS}
                  ${CAIRO_LIBRARY_DIRS}
                  ${GLIB2_LIBRARY_DIRS}
                  ${GOBJECT2_LIBRARY_DIRS}
                  ${IMLIB2_LIBRARY_DIRS}
                  ${RSVG_LIBRARY_DIRS}
                  ${SN_LIBRARY_DIRS} )
add_executable(tint2 ${SOURCES})
target_link_libraries( tint2 ${X11_LIBRARIES}
                             ${PANGOCAIRO_LIBRARIES}
                             ${PANGO_LIBRARIES}
                             ${CAIRO_LIBRARIES}
                             ${GLIB2_LIBRARIES}
                             ${GOBJECT2_LIBRARIES}
							 ${IMLIB2_LIBRARIES}
							 ${UNWIND_LIBRARIES}
							 ${EXECINFO_LIBRARIES} )
if( ENABLE_RSVG )
  target_link_libraries( tint2 ${RSVG_LIBRARIES} )
endif( ENABLE_RSVG )
if( ENABLE_SN )
  target_link_libraries( tint2 ${SN_LIBRARIES} )
endif( ENABLE_SN )
if( RT_LIBRARY )
  target_link_libraries( tint2 ${RT_LIBRARY} )
endif( RT_LIBRARY )

target_link_libraries( tint2 m )

add_dependencies( tint2 version )
set_target_properties( tint2 PROPERTIES COMPILE_FLAGS "-Wall -Wpointer-arith -fno-strict-aliasing -pthread -std=c99 ${ASAN_C_FLAGS}" )
set_target_properties( tint2 PROPERTIES LINK_FLAGS "-pthread -fno-strict-aliasing ${ASAN_L_FLAGS} ${BACKTRACE_L_FLAGS}" )

install( TARGETS tint2 DESTINATION bin )
install( FILES tint2.svg DESTINATION ${DATADIR}/icons/hicolor/scalable/apps )
install( FILES tint2.desktop DESTINATION ${DATADIR}/applications )
install( CODE "execute_process(COMMAND gtk-update-icon-cache -f -t ${DATADIR}/icons/hicolor WORKING_DIRECTORY ${CMAKE_INSTALL_PREFIX})" )
install( FILES sample/tint2rc DESTINATION ${SYSCONFDIR}/xdg/tint2 )
install( FILES default_icon.png DESTINATION ${DATADIR}/tint2 )
install( FILES AUTHORS ChangeLog README.md DESTINATION ${DOCDIR} )
install( FILES doc/tint2.1 DESTINATION ${MANDIR}/man1 )
if( ENABLE_EXAMPLES )
  file( GLOB SAMPLEFILES sample/*.tint2rc )
  install( FILES ${SAMPLEFILES} DESTINATION ${DATADIR}/tint2 )
endif( ENABLE_EXAMPLES )

=== src/tint2conf/CMakeLists.txt ===
project(tint2conf)
cmake_minimum_required(VERSION 2.6)

include( FindPkgConfig )
pkg_check_modules( X11_T2C REQUIRED x11 xcomposite xdamage xinerama xrender xrandr>=1.3 )
pkg_check_modules( GLIB2 REQUIRED glib-2.0 )
pkg_check_modules( GOBJECT2 REQUIRED gobject-2.0 )
pkg_check_modules( IMLIB2 REQUIRED imlib2 )
pkg_check_modules( GTHREAD2 REQUIRED gthread-2.0 )
pkg_check_modules( GTK2 REQUIRED gtk+-x11-2.0 )
pkg_check_modules( RSVG librsvg-2.0>=2.36.0 )

include_directories( ../util
                     ${X11_T2C_INCLUDE_DIRS}
                     ${GLIB2_INCLUDE_DIRS}
                     ${GOBJECT2_INCLUDE_DIRS}
                     ${IMLIB2_INCLUDE_DIRS}
                     ${GTHREAD2_INCLUDE_DIRS}
                     ${GTK2_INCLUDE_DIRS}
                     ${RSVG_INCLUDE_DIRS} )

set(SOURCES ../util/common.c
			../util/strnatcmp.c
			../config.c
            ../server.c
            ../launcher/apps-common.c
            ../launcher/icon-theme-common.c
            main.c
            properties.c
            properties_rw.c
            theme_view.c )

add_definitions( -DTINT2CONF )

option( ENABLE_RSVG "Rsvg support (launcher only)" ON )

if( ENABLE_RSVG )
  if( RSVG_FOUND )
    add_definitions( -DHAVE_RSVG )
  endif( RSVG_FOUND )
endif( ENABLE_RSVG )

link_directories( ${X11_T2C_LIBRARY_DIRS}
                  ${GLIB2_LIBRARY_DIRS}
                  ${GOBJECT2_LIBRARY_DIRS}
                  ${IMLIB2_LIBRARY_DIRS}
                  ${GTHREAD2_LIBRARY_DIRS}
                  ${GTK2_LIBRARY_DIRS}
                  ${RSVG_LIBRARY_DIRS} )
add_executable( tint2conf ${SOURCES} )
target_link_libraries( tint2conf ${X11_T2C_LIBRARIES}
                                 ${GLIB2_LIBRARIES}
                                 ${GOBJECT2_LIBRARIES}
                                 ${IMLIB2_LIBRARIES}
                                 ${GTHREAD2_LIBRARIES}
                                 ${GTK2_LIBRARIES}
                                 ${RSVG_LIBRARIES} )

if ( NOT DATADIR )
  set(DATADIR share)
endif( NOT DATADIR )

add_definitions( -DINSTALL_PREFIX=\"${CMAKE_INSTALL_PREFIX}\" )
add_definitions( -DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/${DATADIR}/locale\" )
add_definitions( -DGETTEXT_PACKAGE=\"tint2conf\" )
set_target_properties( tint2conf PROPERTIES COMPILE_FLAGS "-Wall -pthread -std=c99" )
set_target_properties( tint2conf PROPERTIES LINK_FLAGS "-pthread" )

add_subdirectory(po)

install( TARGETS tint2conf DESTINATION bin )
install( FILES tint2conf.svg DESTINATION ${DATADIR}/icons/hicolor/scalable/apps )
install( FILES tint2conf.desktop DESTINATION ${DATADIR}/applications )
install( CODE "execute_process(COMMAND gtk-update-icon-cache -f -t ${DATADIR}/icons/hicolor WORKING_DIRECTORY ${CMAKE_INSTALL_PREFIX})" )

=== src/tint2conf/po/CMakeLists.txt ===
include(FindGettext)
if (GETTEXT_FOUND)
    set(GETTEXT_PACKAGE tint2conf)
    file(GLOB POTFILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.po")
    string(REPLACE ".po" " " LANGUAGES ${POTFILES})
    message(STATUS "gettext found languages: ${LANGUAGES}")
    string(REPLACE " " ";" LANGUAGES ${LANGUAGES})
    if ("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION}" VERSION_LESS "2.8.8")
        GETTEXT_CREATE_TRANSLATIONS("${CMAKE_CURRENT_SOURCE_DIR}/tint2conf.pot" ALL ${POTFILES})
    else()
        foreach(LANG ${LANGUAGES})
            GETTEXT_PROCESS_PO_FILES(${LANG} ALL PO_FILES ${LANG}.po)
            install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${LANG}.gmo"
                    DESTINATION "${CMAKE_INSTALL_PREFIX}/${DATADIR}/locale/${LANG}/LC_MESSAGES"
                    RENAME "${GETTEXT_PACKAGE}.mo")
            endforeach ()
    endif()
else ()
    message(STATUS "gettext not found")
endif ()

=== debian/changelog ===
tint2 (0.12.7-2) unstable; urgency=medium

  * Add upstream patch to fix build on ppc
  * Use https:// vcs urls

 -- Sebastian Reichel <sre@debian.org>  Mon, 22 Feb 2016 03:23:51 +0100

tint2 (0.12.7-1) unstable; urgency=medium

  * New upstream release
  * Update Debian Standards Version to 3.9.7
  * Drop -dbg package (Debian will build -dbgsym package automatically)

 -- Sebastian Reichel <sre@debian.org>  Wed, 10 Feb 2016 00:42:23 +0100

=== debian/control ===
Source: tint2
Section: x11
Priority: optional
Maintainer: Sebastian Reichel <sre@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               libcairo2-dev,
               libglib2.0-dev,
               libgtk2.0-dev,
               libimlib2-dev,
               libpango1.0-dev,
               librsvg2-dev,
               libstartup-notification0-dev,
               libxcomposite-dev,
               libxdamage-dev,
               libxinerama-dev,
               libxrandr-dev
Standards-Version: 3.9.7
Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/tint2.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/tint2.git
Homepage: https://gitlab.com/o9000/tint2/

Package: tint2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: lightweight taskbar
 Tint is a simple panel/taskbar intentionally made for openbox3, but should
 also work with other window managers. The taskbar includes transparency and
 color settings for the font, icons, border, and background. It also supports
 multihead setups, customized mouse actions, and a built-in clock. Tint was
 originally based on ttm code. Since then, support has also been added
 for a battery monitor and system tray.
 .
 The goal is to keep a clean and unintrusive look with lightweight code and
 compliance with freedesktop specification.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_installdocs:
	dh_installdocs --link-doc=tint2
	cp -r debian/wiki debian/tint2/usr/share/doc/tint2/html

## tint2 0.12.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 option( ENABLE_BATTERY "Enable battery status plugin" ON )
 option( ENABLE_TINT2CONF "Enable tint2conf build, a GTK+2 theme configurator for tint2" ON )
-option( ENABLE_EXAMPLES "Install additional tin2rc examples" ON )
+option( ENABLE_EXTRA_THEMES "Install additional tint2 themes" ON )
 option( ENABLE_RSVG "Rsvg support (launcher only)" ON )
 option( ENABLE_SN "Startup notification support" ON )
 option( ENABLE_ASAN "Build tint2 with AddressSanitizer" OFF )
@@ -85,7 +85,7 @@
                      src/launcher
                      src/tooltip
                      src/util
-					 src/execplugin
+                     src/execplugin
                      src/freespace
                      ${X11_INCLUDE_DIRS}
                      ${PANGOCAIRO_INCLUDE_DIRS}
@@ -112,12 +112,13 @@
              src/taskbar/taskbar.c
              src/taskbar/taskbarname.c
              src/tooltip/tooltip.c
-			 src/execplugin/execplugin.c
+             src/execplugin/execplugin.c
              src/freespace/freespace.c
              src/util/area.c
              src/util/common.c
              src/util/strnatcmp.c
              src/util/timer.c
+             src/util/cache.c
              src/util/window.c )
 
 if( ENABLE_BATTERY )
@@ -241,11 +242,10 @@
 install( FILES tint2.svg DESTINATION ${DATADIR}/icons/hicolor/scalable/apps )
 install( FILES tint2.desktop DESTINATION ${DATADIR}/applications )
 install( CODE "execute_process(COMMAND gtk-update-icon-cache -f -t ${DATADIR}/icons/hicolor WORKING_DIRECTORY ${CMAKE_INSTALL_PREFIX})" )
-install( FILES sample/tint2rc DESTINATION ${SYSCONFDIR}/xdg/tint2 )
+install( FILES themes/tint2rc DESTINATION ${SYSCONFDIR}/xdg/tint2 )
 install( FILES default_icon.png DESTINATION ${DATADIR}/tint2 )
 install( FILES AUTHORS ChangeLog README.md DESTINATION ${DOCDIR} )
 install( FILES doc/tint2.1 DESTINATION ${MANDIR}/man1 )
-if( ENABLE_EXAMPLES )
-  file( GLOB SAMPLEFILES sample/*.tint2rc )
-  install( FILES ${SAMPLEFILES} DESTINATION ${DATADIR}/tint2 )
-endif( ENABLE_EXAMPLES )
+if( ENABLE_EXTRA_THEMES )
+  add_subdirectory(themes)
+endif( ENABLE_EXTRA_THEMES )

=== debian/changelog ===
tint2 (0.12.11-1) unstable; urgency=low

  * New upstream release (Closes: #824568)
  * Update Debian Standards Version to 3.9.8

 -- Sebastian Reichel <sre@debian.org>  Wed, 01 Jun 2016 00:48:54 +0200

## tint2 0.12.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -244,7 +244,8 @@
 install( CODE "execute_process(COMMAND gtk-update-icon-cache -f -t ${DATADIR}/icons/hicolor WORKING_DIRECTORY ${CMAKE_INSTALL_PREFIX})" )
 install( FILES themes/tint2rc DESTINATION ${SYSCONFDIR}/xdg/tint2 )
 install( FILES default_icon.png DESTINATION ${DATADIR}/tint2 )
-install( FILES AUTHORS ChangeLog README.md DESTINATION ${DOCDIR} )
+install( FILES AUTHORS ChangeLog README.md doc/tint2.md doc/manual.html doc/readme.html DESTINATION ${DOCDIR} )
+install( DIRECTORY doc/images DESTINATION ${DOCDIR} )
 install( FILES doc/tint2.1 DESTINATION ${MANDIR}/man1 )
 if( ENABLE_EXTRA_THEMES )
   add_subdirectory(themes)

=== themes/CMakeLists.txt ===
file( GLOB EXTRATHEMEFILES *.tint2rc )
install( FILES ${EXTRATHEMEFILES} DESTINATION ${DATADIR}/tint2 )

=== src/tint2conf/CMakeLists.txt ===
--- 
+++ 
@@ -20,8 +20,9 @@
                      ${RSVG_INCLUDE_DIRS} )
 
 set(SOURCES ../util/common.c
-			../util/strnatcmp.c
-			../config.c
+            ../util/strnatcmp.c
+            ../util/cache.c
+            ../config.c
             ../server.c
             ../launcher/apps-common.c
             ../launcher/icon-theme-common.c

=== debian/changelog ===
tint2 (0.12.12-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Elstad (v3g4n) <v3g4n@mxlinux.org>  Sun, 23 Oct 2016 00:34:37 -0500

tint2 (0.12.12-1) unstable; urgency=low

  * New upstream release

 -- Sebastian Reichel <sre@debian.org>  Sun, 21 Aug 2016 22:39:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: tint2
 Section: x11
 Priority: optional
-Maintainer: Sebastian Reichel <sre@debian.org>
+Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
+XSBC-Original-Maintainer: Sebastian Reichel <sre@debian.org>
+Bugs: mailto: v3g4n@mxlinux.org
 Build-Depends: cmake,
                debhelper (>= 9),
                libcairo2-dev,
@@ -15,7 +17,7 @@
                libxdamage-dev,
                libxinerama-dev,
                libxrandr-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/tint2.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/tint2.git
 Homepage: https://gitlab.com/o9000/tint2/

## tint2 15.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,26 @@
 project( tint2 )
-cmake_minimum_required( VERSION 2.6 )
+cmake_minimum_required( VERSION 2.8.5 )
 
 option( ENABLE_BATTERY "Enable battery status plugin" ON )
 option( ENABLE_TINT2CONF "Enable tint2conf build, a GTK+2 theme configurator for tint2" ON )
 option( ENABLE_EXTRA_THEMES "Install additional tint2 themes" ON )
 option( ENABLE_RSVG "Rsvg support (launcher only)" ON )
 option( ENABLE_SN "Startup notification support" ON )
+option( ENABLE_TRACING "Build tint2 with tracing instrumentation" OFF )
 option( ENABLE_ASAN "Build tint2 with AddressSanitizer" OFF )
 option( ENABLE_BACKTRACE "Dump a backtrace in case of fatal errors (e.g. X11 I/O error)" OFF )
 option( ENABLE_BACKTRACE_ON_SIGNAL "Dump a backtrace also when receiving signals such as SIGSEGV" OFF )
 if( CMAKE_SYSTEM_NAME STREQUAL "Linux" )
   option( ENABLE_UEVENT "Kernel event handling support" ON )
 endif( CMAKE_SYSTEM_NAME STREQUAL "Linux" )
+
+include( GNUInstallDirs )
+if(NOT docdir)
+  set(docdir ${CMAKE_INSTALL_DOCDIR})
+endif()
+if(NOT htmldir)
+  set(htmldir ${docdir}/html)
+endif()
 
 include( FindPkgConfig )
 include( CheckLibraryExists )
@@ -74,7 +83,13 @@
   message( FATAL_ERROR "Imlib is not built with X support" )
 endif( NOT IMLIB_BUILD_WITH_X )
 
-add_definitions( -D_GNU_SOURCE )
+
+add_definitions( -D_BSD_SOURCE -D_DEFAULT_SOURCE -D_WITH_GETLINE )
+
+if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
+  add_definitions( -D_POSIX_C_SOURCE=200809L )
+endif(CMAKE_SYSTEM_NAME STREQUAL "Linux")
+
 
 include_directories( ${PROJECT_BINARY_DIR}
                      src
@@ -86,7 +101,9 @@
                      src/tooltip
                      src/util
                      src/execplugin
+                     src/button
                      src/freespace
+                     src/separator
                      ${X11_INCLUDE_DIRS}
                      ${PANGOCAIRO_INCLUDE_DIRS}
                      ${PANGO_INCLUDE_DIRS}
@@ -100,7 +117,12 @@
 set( SOURCES src/config.c
              src/panel.c
              src/server.c
-             src/tint.c
+             src/main.c
+             src/init.c
+             src/signals.c
+             src/tracing.c
+             src/mouse_actions.c
+             src/drag_and_drop.c
              src/clock/clock.c
              src/systray/systraybar.c
              src/launcher/launcher.c
@@ -113,12 +135,19 @@
              src/taskbar/taskbarname.c
              src/tooltip/tooltip.c
              src/execplugin/execplugin.c
+             src/button/button.c
              src/freespace/freespace.c
+             src/separator/separator.c
+             src/tint2rc.c
              src/util/area.c
              src/util/common.c
+             src/util/fps_distribution.c
              src/util/strnatcmp.c
              src/util/timer.c
              src/util/cache.c
+             src/util/color.c
+             src/util/gradient.c
+             src/util/uevent.c
              src/util/window.c )
 
 if( ENABLE_BATTERY )
@@ -189,19 +218,23 @@
 endif( ENABLE_TINT2CONF )
 
 if( ENABLE_ASAN )
-  SET(ASAN_C_FLAGS " -O0 -g3 -gdwarf-2 -fsanitize=address -fno-common -fno-omit-frame-pointer -rdynamic -Wshadow")
-  SET(ASAN_L_FLAGS " -O0 -g3 -gdwarf-2 -fsanitize=address -fno-common -fno-omit-frame-pointer -rdynamic ")
+  SET(ASAN_C_FLAGS " -O0 -g3 -fsanitize=address -fno-common -fno-omit-frame-pointer -rdynamic -Wshadow")
+  SET(ASAN_L_FLAGS " -O0 -g3 -fsanitize=address -fno-common -fno-omit-frame-pointer -rdynamic -fuse-ld=gold ")
 else()
   SET(ASAN_C_FLAGS "")
   SET(ASAN_L_FLAGS "")
 endif()
 
-set( MANDIR share/man CACHE PATH "Directory for man pages" )
-set( DATADIR share CACHE PATH "Directory for shared data" )
-set( SYSCONFDIR /etc CACHE PATH "Directory for configuration files" )
-set( DOCDIR share/doc/tint2 CACHE PATH "Directory for documentation files" )
-
-add_custom_target( version ALL "${PROJECT_SOURCE_DIR}/get_version.sh" "\"${PROJECT_SOURCE_DIR}\"" )
+if( ENABLE_TRACING )
+  add_definitions( -DHAVE_TRACING )
+  SET(TRACING_C_FLAGS " -finstrument-functions -finstrument-functions-exclude-file-list=tracing.c -finstrument-functions-exclude-function-list=get_time,gettime -O0 -g3 -fno-common -fno-omit-frame-pointer -rdynamic")
+  SET(TRACING_L_FLAGS " -O0 -g3 -fno-common -fno-omit-frame-pointer -rdynamic")
+else()
+  SET(TRACING_C_FLAGS "")
+  SET(TRACING_L_FLAGS "")
+endif()
+
+add_custom_target( version ALL "${PROJECT_SOURCE_DIR}/get_version.sh" -- "\"${PROJECT_SOURCE_DIR}/\"" )
 
 link_directories( ${X11_LIBRARY_DIRS}
                   ${PANGOCAIRO_LIBRARY_DIRS}
@@ -235,18 +268,18 @@
 target_link_libraries( tint2 m )
 
 add_dependencies( tint2 version )
-set_target_properties( tint2 PROPERTIES COMPILE_FLAGS "-Wall -Wpointer-arith -fno-strict-aliasing -pthread -std=c99 ${ASAN_C_FLAGS}" )
-set_target_properties( tint2 PROPERTIES LINK_FLAGS "-pthread -fno-strict-aliasing ${ASAN_L_FLAGS} ${BACKTRACE_L_FLAGS}" )
+set_target_properties( tint2 PROPERTIES COMPILE_FLAGS "-Wall -Wpointer-arith -fno-strict-aliasing -pthread -std=c99 ${ASAN_C_FLAGS} ${TRACING_C_FLAGS}" )
+set_target_properties( tint2 PROPERTIES LINK_FLAGS "-pthread -fno-strict-aliasing ${ASAN_L_FLAGS} ${BACKTRACE_L_FLAGS}  ${TRACING_L_FLAGS}" )
 
 install( TARGETS tint2 DESTINATION bin )
-install( FILES tint2.svg DESTINATION ${DATADIR}/icons/hicolor/scalable/apps )
-install( FILES tint2.desktop DESTINATION ${DATADIR}/applications )
-install( CODE "execute_process(COMMAND gtk-update-icon-cache -f -t ${DATADIR}/icons/hicolor WORKING_DIRECTORY ${CMAKE_INSTALL_PREFIX})" )
-install( FILES themes/tint2rc DESTINATION ${SYSCONFDIR}/xdg/tint2 )
-install( FILES default_icon.png DESTINATION ${DATADIR}/tint2 )
-install( FILES AUTHORS ChangeLog README.md doc/tint2.md doc/manual.html doc/readme.html DESTINATION ${DOCDIR} )
-install( DIRECTORY doc/images DESTINATION ${DOCDIR} )
-install( FILES doc/tint2.1 DESTINATION ${MANDIR}/man1 )
+install( FILES tint2.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps )
+install( FILES tint2.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications )
+install( FILES themes/tint2rc DESTINATION /etc/xdg/tint2 )
+install( FILES default_icon.png DESTINATION ${CMAKE_INSTALL_DATADIR}/tint2 )
+install( FILES AUTHORS ChangeLog README.md doc/tint2.md DESTINATION ${docdir} )
+install( FILES doc/manual.html doc/readme.html DESTINATION ${htmldir} )
+install( DIRECTORY doc/images DESTINATION ${htmldir} )
+install( FILES doc/tint2.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 )
 if( ENABLE_EXTRA_THEMES )
   add_subdirectory(themes)
 endif( ENABLE_EXTRA_THEMES )

=== src/tint2conf/CMakeLists.txt ===
--- 
+++ 
@@ -22,14 +22,18 @@
 set(SOURCES ../util/common.c
             ../util/strnatcmp.c
             ../util/cache.c
+            ../util/timer.c
             ../config.c
             ../server.c
             ../launcher/apps-common.c
             ../launcher/icon-theme-common.c
+            md4.c
             main.c
             properties.c
             properties_rw.c
-            theme_view.c )
+            theme_view.c
+            background_gui.c
+            gradient_gui.c )
 
 add_definitions( -DTINT2CONF )
 
@@ -57,12 +61,8 @@
                                  ${GTK2_LIBRARIES}
                                  ${RSVG_LIBRARIES} )
 
-if ( NOT DATADIR )
-  set(DATADIR share)
-endif( NOT DATADIR )
-
 add_definitions( -DINSTALL_PREFIX=\"${CMAKE_INSTALL_PREFIX}\" )
-add_definitions( -DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/${DATADIR}/locale\" )
+add_definitions( -DLOCALEDIR=\"${CMAKE_INSTALL_FULL_LOCALEDIR}\" )
 add_definitions( -DGETTEXT_PACKAGE=\"tint2conf\" )
 set_target_properties( tint2conf PROPERTIES COMPILE_FLAGS "-Wall -pthread -std=c99" )
 set_target_properties( tint2conf PROPERTIES LINK_FLAGS "-pthread" )
@@ -70,6 +70,6 @@
 add_subdirectory(po)
 
 install( TARGETS tint2conf DESTINATION bin )
-install( FILES tint2conf.svg DESTINATION ${DATADIR}/icons/hicolor/scalable/apps )
-install( FILES tint2conf.desktop DESTINATION ${DATADIR}/applications )
-install( CODE "execute_process(COMMAND gtk-update-icon-cache -f -t ${DATADIR}/icons/hicolor WORKING_DIRECTORY ${CMAKE_INSTALL_PREFIX})" )
+install( FILES tint2conf.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps )
+install( FILES tint2conf.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications )
+install( FILES tint2conf.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages )

=== debian/changelog ===
tint2 (15.1-1) unstable; urgency=medium

  * New upstream bugfix
   - Previous patch dropped (applied upstream)

 -- Sebastian Reichel <sre@debian.org>  Fri, 08 Sep 2017 22:34:31 +0200

tint2 (15.0-2) unstable; urgency=medium

  * Add patch to be compliant with POSIX.1-2001 and POSIX.1-2008 to
    fix FTBFS on non x86 platforms.

 -- Sebastian Reichel <sre@debian.org>  Thu, 07 Sep 2017 02:37:53 +0200

tint2 (15.0-1) unstable; urgency=medium

  * New upstream release
  * Updated watch file for gitlab changes
  * Update Debian Standards Version to 4.1.0
  * Enable full hardening

 -- Sebastian Reichel <sre@debian.org>  Sun, 03 Sep 2017 03:25:33 +0200

tint2 (0.14.3-1) experimental; urgency=medium

  * New upstream release (Closes: #861007)
   - Drop wiki Documentation
   - Drop patches (applied upstream)

 -- Sebastian Reichel <sre@debian.org>  Sun, 23 Apr 2017 21:46:51 +0200

tint2 (0.12.12-3) unstable; urgency=medium

  * Cherry pick upstream fix for use-after-free

 -- Sebastian Reichel <sre@debian.org>  Sun, 29 Jan 2017 21:18:20 +0100

tint2 (0.12.12-2) unstable; urgency=medium

  * Cherry pick a few upstream fixes (Closes: #849228)

 -- Sebastian Reichel <sre@debian.org>  Fri, 13 Jan 2017 22:01:29 +0100

## tint2 15.3

=== debian/changelog ===
tint2 (15.3-2) unstable; urgency=medium

  * New upstream release

 -- Sebastian Reichel <sre@debian.org>  Sun, 05 Nov 2017 17:13:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: tint2
 Section: x11
 Priority: optional
-Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
-XSBC-Original-Maintainer: Sebastian Reichel <sre@debian.org>
-Bugs: mailto: v3g4n@mxlinux.org
+Maintainer: Sebastian Reichel <sre@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper (>= 10~),
                libcairo2-dev,
                libglib2.0-dev,
                libgtk2.0-dev,
@@ -17,7 +15,7 @@
                libxdamage-dev,
                libxinerama-dev,
                libxrandr-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/tint2.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/tint2.git
 Homepage: https://gitlab.com/o9000/tint2/

## tint2 16.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 include( FindPkgConfig )
 include( CheckLibraryExists )
 include( CheckCSourceCompiles )
-pkg_check_modules( X11 REQUIRED x11 xcomposite xdamage xinerama xrender xrandr>=1.3 )
+pkg_check_modules( X11 REQUIRED x11 xcomposite xdamage xinerama xext xrender xrandr>=1.3 )
 pkg_check_modules( PANGOCAIRO REQUIRED pangocairo )
 pkg_check_modules( PANGO REQUIRED pango )
 pkg_check_modules( CAIRO REQUIRED cairo )
@@ -61,6 +61,17 @@
 	set(EXECINFO_LIBRARIES "")
 	set(BACKTRACE_L_FLAGS "")
 endif()
+
+check_c_source_compiles(
+    "#define print(x) _Generic((x), default : print_unknown)(x) \n void print_unknown(){} \n int main () { print(0); }"
+    HAS_GENERIC)
+
+if(HAS_GENERIC)
+    add_definitions(-DHAS_GENERIC)
+    set(CSTD "c11")
+else()
+    set(CSTD "c99")
+endif(HAS_GENERIC)
 
 if( ENABLE_RSVG )
 pkg_check_modules( RSVG librsvg-2.0>=2.14.0 )
@@ -116,13 +127,14 @@
 
 set( SOURCES src/config.c
              src/panel.c
-             src/server.c
+             src/util/server.c
              src/main.c
              src/init.c
-             src/signals.c
-             src/tracing.c
+             src/util/signals.c
+             src/util/tracing.c
              src/mouse_actions.c
              src/drag_and_drop.c
+             src/default_icon.c
              src/clock/clock.c
              src/systray/systraybar.c
              src/launcher/launcher.c
@@ -146,7 +158,10 @@
              src/util/timer.c
              src/util/cache.c
              src/util/color.c
+             src/util/strlcat.c
+             src/util/print.c
              src/util/gradient.c
+             src/util/test.c
              src/util/uevent.c
              src/util/window.c )
 
@@ -188,7 +203,6 @@
 
 if( ENABLE_UEVENT )
   add_definitions( -DENABLE_UEVENT )
-  set( SOURCES ${SOURCES} src/util/uevent.c)
 endif( ENABLE_UEVENT )
 
 if(ENABLE_BACKTRACE)
@@ -234,7 +248,7 @@
   SET(TRACING_L_FLAGS "")
 endif()
 
-add_custom_target( version ALL "${PROJECT_SOURCE_DIR}/get_version.sh" -- "\"${PROJECT_SOURCE_DIR}/\"" )
+add_custom_target( version ALL "${PROJECT_SOURCE_DIR}/get_version.sh" )
 
 link_directories( ${X11_LIBRARY_DIRS}
                   ${PANGOCAIRO_LIBRARY_DIRS}
@@ -268,13 +282,13 @@
 target_link_libraries( tint2 m )
 
 add_dependencies( tint2 version )
-set_target_properties( tint2 PROPERTIES COMPILE_FLAGS "-Wall -Wpointer-arith -fno-strict-aliasing -pthread -std=c99 ${ASAN_C_FLAGS} ${TRACING_C_FLAGS}" )
+set_target_properties( tint2 PROPERTIES COMPILE_FLAGS "-Wall -Wpointer-arith -fno-strict-aliasing -pthread -std=${CSTD} ${ASAN_C_FLAGS} ${TRACING_C_FLAGS}" )
 set_target_properties( tint2 PROPERTIES LINK_FLAGS "-pthread -fno-strict-aliasing ${ASAN_L_FLAGS} ${BACKTRACE_L_FLAGS}  ${TRACING_L_FLAGS}" )
 
 install( TARGETS tint2 DESTINATION bin )
 install( FILES tint2.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps )
 install( FILES tint2.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications )
-install( FILES themes/tint2rc DESTINATION /etc/xdg/tint2 )
+install( FILES themes/tint2rc DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/xdg/tint2 )
 install( FILES default_icon.png DESTINATION ${CMAKE_INSTALL_DATADIR}/tint2 )
 install( FILES AUTHORS ChangeLog README.md doc/tint2.md DESTINATION ${docdir} )
 install( FILES doc/manual.html doc/readme.html DESTINATION ${htmldir} )

=== src/tint2conf/CMakeLists.txt ===
--- 
+++ 
@@ -23,8 +23,12 @@
             ../util/strnatcmp.c
             ../util/cache.c
             ../util/timer.c
+            ../util/test.c
+            ../util/print.c
+            ../util/signals.c
             ../config.c
-            ../server.c
+            ../util/server.c
+            ../util/strlcat.c
             ../launcher/apps-common.c
             ../launcher/icon-theme-common.c
             md4.c

=== src/tint2conf/po/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
         foreach(LANG ${LANGUAGES})
             GETTEXT_PROCESS_PO_FILES(${LANG} ALL PO_FILES ${LANG}.po)
             install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${LANG}.gmo"
-                    DESTINATION "${CMAKE_INSTALL_PREFIX}/${DATADIR}/locale/${LANG}/LC_MESSAGES"
+                    DESTINATION "${CMAKE_INSTALL_LOCALEDIR}/${LANG}/LC_MESSAGES"
                     RENAME "${GETTEXT_PACKAGE}.mo")
             endforeach ()
     endif()

=== debian/changelog ===
tint2 (16.2-1) unstable; urgency=medium

  * New upstream release
  * Switch packaging to salsa
  * Update Debian Standards Version to 4.1.3

 -- Sebastian Reichel <sre@debian.org>  Mon, 12 Feb 2018 20:47:00 +0100

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,9 @@
                libxdamage-dev,
                libxinerama-dev,
                libxrandr-dev
-Standards-Version: 4.1.0
-Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/tint2.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/tint2.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/debian/tint2.git
+Vcs-Browser: https://salsa.debian.org/debian/tint2
 Homepage: https://gitlab.com/o9000/tint2/
 
 Package: tint2

=== debian/watch ===
version=3

# /o9000/tint2/repository/v15.0/archive.tar.bz2

opts=filenamemangle=s/.*\/v(\d\S*)\/archive\.tar\.bz2/tint2-$1\.tar\.bz2/g,uversionmangle=s/\-rc(\d)/\~rc$1/ \
https://gitlab.com/o9000/tint2/tags /o9000/tint2/repository/v(\d\S*)/archive\.tar\.bz2

## tint2 16.6.1

=== debian/changelog ===
tint2 (16.6.1-1) unstable; urgency=medium

  * Update watch file
  * Update Debian Standards Version to 4.1.5
  * Bump Debian compat version to 11

 -- Sebastian Reichel <sre@debian.org>  Thu, 09 Aug 2018 00:14:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sebastian Reichel <sre@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 10~),
+               debhelper (>= 11~),
                libcairo2-dev,
                libglib2.0-dev,
                libgtk2.0-dev,
@@ -15,7 +15,7 @@
                libxdamage-dev,
                libxinerama-dev,
                libxrandr-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Vcs-Git: https://salsa.debian.org/debian/tint2.git
 Vcs-Browser: https://salsa.debian.org/debian/tint2
 Homepage: https://gitlab.com/o9000/tint2/

## tint2 16.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -152,6 +152,7 @@
              src/separator/separator.c
              src/tint2rc.c
              src/util/area.c
+             src/util/bt.c
              src/util/common.c
              src/util/fps_distribution.c
              src/util/strnatcmp.c

=== src/tint2conf/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
                      ${RSVG_INCLUDE_DIRS} )
 
 set(SOURCES ../util/common.c
+            ../util/bt.c
             ../util/strnatcmp.c
             ../util/cache.c
             ../util/timer.c

=== debian/changelog ===
tint2 (16.7-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 14 Nov 2020 09:25:57 -0800

tint2 (16.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Sebastian Reichel ]
  * New upstream release
  * Bump Debian compat version to 12
  * Update Debian Standards Version to 4.4.0

 -- Sebastian Reichel <sre@debian.org>  Sun, 15 Sep 2019 01:16:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: tint2
 Section: x11
 Priority: optional
-Maintainer: Sebastian Reichel <sre@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Sebastian Reichel <sre@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 11~),
+               debhelper (>= 12~),
                libcairo2-dev,
                libglib2.0-dev,
                libgtk2.0-dev,
@@ -15,15 +16,14 @@
                libxdamage-dev,
                libxinerama-dev,
                libxrandr-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/debian/tint2.git
 Vcs-Browser: https://salsa.debian.org/debian/tint2
 Homepage: https://gitlab.com/o9000/tint2/
 
 Package: tint2
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: lightweight taskbar
  Tint is a simple panel/taskbar intentionally made for openbox3, but should
  also work with other window managers. The taskbar includes transparency and
@@ -33,4 +33,4 @@
  for a battery monitor and system tray.
  .
  The goal is to keep a clean and unintrusive look with lightweight code and
- compliance with freedesktop specification.
+ compliance with freedesktop's specifications.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## tint2 17.0.1

=== themes/CMakeLists.txt ===
file( GLOB EXTRATHEMEFILES *.tint2rc )
install( FILES ${EXTRATHEMEFILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/tint2 )

=== src/tint2conf/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 pkg_check_modules( GOBJECT2 REQUIRED gobject-2.0 )
 pkg_check_modules( IMLIB2 REQUIRED imlib2 )
 pkg_check_modules( GTHREAD2 REQUIRED gthread-2.0 )
-pkg_check_modules( GTK2 REQUIRED gtk+-x11-2.0 )
+pkg_check_modules( GTK3 REQUIRED gtk+-x11-3.0 )
 pkg_check_modules( RSVG librsvg-2.0>=2.36.0 )
 
 include_directories( ../util
@@ -16,7 +16,7 @@
                      ${GOBJECT2_INCLUDE_DIRS}
                      ${IMLIB2_INCLUDE_DIRS}
                      ${GTHREAD2_INCLUDE_DIRS}
-                     ${GTK2_INCLUDE_DIRS}
+                     ${GTK3_INCLUDE_DIRS}
                      ${RSVG_INCLUDE_DIRS} )
 
 set(SOURCES ../util/common.c
@@ -55,7 +55,7 @@
                   ${GOBJECT2_LIBRARY_DIRS}
                   ${IMLIB2_LIBRARY_DIRS}
                   ${GTHREAD2_LIBRARY_DIRS}
-                  ${GTK2_LIBRARY_DIRS}
+                  ${GTK3_LIBRARY_DIRS}
                   ${RSVG_LIBRARY_DIRS} )
 add_executable( tint2conf ${SOURCES} )
 target_link_libraries( tint2conf ${X11_T2C_LIBRARIES}
@@ -63,13 +63,14 @@
                                  ${GOBJECT2_LIBRARIES}
                                  ${IMLIB2_LIBRARIES}
                                  ${GTHREAD2_LIBRARIES}
-                                 ${GTK2_LIBRARIES}
+                                 ${GTK3_LIBRARIES}
                                  ${RSVG_LIBRARIES} )
 
 add_definitions( -DINSTALL_PREFIX=\"${CMAKE_INSTALL_PREFIX}\" )
 add_definitions( -DLOCALEDIR=\"${CMAKE_INSTALL_FULL_LOCALEDIR}\" )
 add_definitions( -DGETTEXT_PACKAGE=\"tint2conf\" )
-set_target_properties( tint2conf PROPERTIES COMPILE_FLAGS "-Wall -pthread -std=c99" )
+add_definitions( -DDGLIB_DISABLE_DEPRECATION_WARNINGS=1 )
+set_target_properties( tint2conf PROPERTIES COMPILE_FLAGS "-Wall -Wpointer-arith -fno-strict-aliasing -pthread -std=c99 -Werror-implicit-function-declaration -Wno-deprecated -Wno-deprecated-declarations" )
 set_target_properties( tint2conf PROPERTIES LINK_FLAGS "-pthread" )
 
 add_subdirectory(po)

=== debian/changelog ===
tint2 (17.0.1-1) unstable; urgency=medium

  * New upstream release
  * tint2conf now uses GTK3 instead of GTK2 (Closes: #967778)
  * Update Debian Standards Version to 4.6.0
  * Switch to debhelper compat level 13
  * Add Rules-Requires-Root: no
  * Update debian/watch version

 -- Sebastian Reichel <sre@debian.org>  Tue, 24 Aug 2021 00:31:24 +0200

=== debian/control ===
Source: tint2
Section: x11
Priority: optional
Maintainer: Sebastian Reichel <sre@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libcairo2-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libimlib2-dev,
               libpango1.0-dev,
               librsvg2-dev,
               libstartup-notification0-dev,
               libxcomposite-dev,
               libxdamage-dev,
               libxinerama-dev,
               libxrandr-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/tint2.git
Vcs-Browser: https://salsa.debian.org/debian/tint2
Homepage: https://gitlab.com/o9000/tint2/

Package: tint2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: lightweight taskbar
 Tint is a simple panel/taskbar intentionally made for openbox3, but should
 also work with other window managers. The taskbar includes transparency and
 color settings for the font, icons, border, and background. It also supports
 multihead setups, customized mouse actions, and a built-in clock. Tint was
 originally based on ttm code. Since then, support has also been added
 for a battery monitor and system tray.
 .
 The goal is to keep a clean and unintrusive look with lightweight code and
 compliance with freedesktop specification.

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,3 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=$(CURDIR)/debian/tmp
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
